import { IOrigin } from 'aws-cdk-lib/aws-cloudfront';
import { OriginGroup, OriginGroupProps } from 'aws-cdk-lib/aws-cloudfront-origins';
export declare class ExtendedOriginGroup extends OriginGroup {
    readonly primaryOrigin: IOrigin;
    readonly fallbackOrigin: IOrigin;
    readonly fallbackStatusCodes?: number[];
    constructor(props: OriginGroupProps);
}
export declare function isExtendedOriginGroup(origin: IOrigin): origin is ExtendedOriginGroup;
